<template>
  <div :class="{ ycc_container: !isMobile }">
    <main-header></main-header>
    <div class="bg-gray-50">
      <!-- <keep-alive name="newsLists"> -->
      <router-view />
      <!-- </keep-alive> -->
    </div>
    <main-footer></main-footer>
  </div>
</template>

<script lang="ts">
import { checkIsMobile } from '@/utils/utils'
import Vue from 'vue'

export default Vue.extend({
  data() {
    return {
      offSetTop: 0,
    }
  },
  computed: {
    isMobile() {
      return checkIsMobile()
    },
  },
  components: {
    'main-header': () => import('./Header.vue'),
    'main-footer': () => import('./Footer.vue'),
  },
})
</script>

<style scoped>
.ycc_container {
  min-width: 1200px;
  overflow: hidden;
}
</style>
